
Figure - Bug #113577
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现CRASH: com.android.launcher3
2022-11-02 13:59 - CD Test赵飞

Status: CLOSED Start date: 2022-11-02

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-18

Test Type: Monkey Test Root cause: 编码问题

Description

测试命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10 --pct-anyevent 10 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

// CRASH: com.android.launcher3 (pid 2531)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'boolean com.android.launcher3.CellLayout.getClipChildren()'

on a null object reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1259:user/test-keys

// Build Changelist: 1259

// Build Time: 1667239585000

// java.lang.NullPointerException: Attempt to invoke virtual method 'boolean com.android.launcher3.CellLayout.getClipChildren()' on a null

object reference

//     at com.android.launcher3.folder.FolderAnimationManager.getAnimator(FolderAnimationManager.java:315)

//     at com.android.launcher3.folder.Folder.animateOpen(Folder.java:805)

//     at com.android.launcher3.folder.Folder.animateOpen(Folder.java:726)

//     at com.android.launcher3.touch.ItemClickHandler.onClickFolderIcon(ItemClickHandler.java:119)

//     at com.android.launcher3.touch.ItemClickHandler.onClick(ItemClickHandler.java:96)

//     at com.android.launcher3.touch.ItemClickHandler.$r8$lambda$c3IcSovkrXGdCZtXy0f_A5Sz5VA(Unknown Source:0)

//     at com.android.launcher3.touch.ItemClickHandler$$ExternalSyntheticLambda2.onClick(Unknown Source:0)

//     at android.view.View.performClick(View.java:7441)

//     at android.view.View.performClickInternal(View.java:7418)

//     at android.view.View.onKeyUp(View.java:15275)

//     at android.view.KeyEvent.dispatch(KeyEvent.java:2878)

//     at android.view.View.dispatchKeyEvent(View.java:14478)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1959)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at com.android.launcher3.dragndrop.DragLayer.dispatchKeyEvent(DragLayer.java:120)
//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at com.android.internal.policy.DecorView.superDispatchKeyEvent(DecorView.java:502)

//     at com.android.internal.policy.PhoneWindow.superDispatchKeyEvent(PhoneWindow.java:1880)

//     at android.app.Activity.dispatchKeyEvent(Activity.java:4175)

//     at com.android.launcher3.Launcher.dispatchKeyEvent(Launcher.java:2043)

//     at com.android.internal.policy.DecorView.dispatchKeyEvent(DecorView.java:416)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processKeyEvent(ViewRootImpl.java:6293)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6159)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5862)

//     at android.view.ViewRootImpl$ImeInputStage.onFinishedInputEvent(ViewRootImpl.java:6020)

//     at android.view.inputmethod.InputMethodManager$PendingEvent.run(InputMethodManager.java:3158)

//     at android.view.inputmethod.InputMethodManager.invokeFinishedInputEventCallback(InputMethodManager.java:2722)

//     at android.view.inputmethod.InputMethodManager.finishedInputEvent(InputMethodManager.java:2713)

//     at android.view.inputmethod.InputMethodManager$ImeInputEventSender.onInputEventFinished(InputMethodManager.java:3135)

//     at android.view.InputEventSender.dispatchInputEventFinished(InputEventSender.java:154)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2022-11-02 13:59 - CD Test赵飞

- File error.txt added

- File info.txt added

#2 - 2022-11-07 16:55 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营
#3 - 2022-11-10 11:00 - CD Test赵飞

- File Tlog.zip added

11月9号DB版本复现此问题，Tlog见附件

#4 - 2022-11-11 17:31 - CD APP-李德盛

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

#5 - 2022-11-12 11:25 - CD APP-李德盛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

快速重复打开关闭文件夹，launcher崩溃

■ My analysis

文件夹关闭动画结束前打开文件夹，关闭动画会清空view导致生成打开动画时拿不到view，抛空指针异常

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/162206

#6 - 2022-11-16 19:54 - CDTS-TEST 周婷

- Due date deleted (2022-11-09)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#7 - 2022-11-17 15:33 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD Test赵飞

- Fixed Version set to 2022-11-18

#8 - 2022-11-18 10:42 - CD Test赵飞

- % Done changed from 100 to 70

#9 - 2022-11-22 10:02 - CD Test赵飞

11月18号DB版本未复现此问题

Monkey问题，继续跟踪2个版本

#10 - 2022-11-24 20:42 - CD Test赵飞

11月23号版本未复现此问题

Monkey问题，继续跟踪1个版本

#11 - 2022-11-25 11:37 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80
11月24号Release版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#12 - 2022-11-25 11:37 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#13 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162206 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Fix open folder crash1. Quickly and repeatedly open and close the folder, launcher crash.2. If open a folder that closing animation is running,

closing animation will remove view, failed to create open animation.TC-RID: 1201-0205306IssueID: TS-R-BUG-113577Change-Id:

I6ddacdbdfdbd64f1970aa8fc4da6668965f3891f

Files

error.txt 123 KB 2022-11-02 CD Test赵飞

info.txt 11.7 MB 2022-11-02 CD Test赵飞

Tlog.zip 45.1 MB 2022-11-10 CD Test赵飞
